{% extends "base.html" %}

{% block title %}Expense Category{% endblock title %}
{% block content %}
<header>
    <nav>
        <ul>
        {% if user.is_authenticated %}
        <li><a href= "{% url 'home' %}">My Receipts</a></li>
        <li><a href= "{% url 'create_category' %}">Create Category</a></li>
        {%endif%}
        </ul>
    </nav>
</header>
<main>
    <table class="ingredients-table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Number of Receipts</th>
            </tr>
        </thead>

        <tbody>
            {% for category in category_list %}
                <tr>
                    <td>{{category.name}}</td>
                    <td>{{category.receipts.all|length}}</td>
                </tr>
            {%endfor%}
        </tbody>
    </table>
</main>


{% endblock content %}
